<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/invoices/Dt_InboundOrder.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'orderId',
            footer: "Foots",
            cnName: '单据信息',
            name: 'invoices/Dt_InboundOrder',
            url: "/Dt_InboundOrder/",
            sortName: "orderId"
        });
        const editFormFields = ref({
            "inboundNo": "",
            "inboundUpperNo": "",
            "inboundState": "",
            "batchNo": "",
            "inboundDate": "",
            "inboundType": "",
        });
        const editFormOptions = ref([
            [
                { "title": "单据编号", "field": "inboundNo", type: "text" },
                { "title": "上游单据编号", "field": "inboundUpperNo", type: "text" },
                { "title": "单据状态", "field": "inboundState", type: "select",dataKey:"InboundState",data:[] },
                { "title": "上游单据类型", "field": "inboundType", type: "select",dataKey:"InOrderType",data:[]  },

            ], [
                { "title": "批次号", "field": "batchNo", type: "text" },
                { "title": "单据日期", "field": "inboundDate", type: "datetime" },

            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "单据编号", "field": "inboundNo", type: "text" },
                { "title": "上游单据编号", "field": "inboundUpperNo", type: "text" },
                { "title": "单据状态", "field": "inboundState", type: "select", dataKey: "InboundState", data: [] },
            ]
        ]);
        const columns = ref([{ field: 'orderId', title: '入库单ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'inboundNo', title: '单据编号', link: true, type: 'string', width: 110, align: 'left', sort: true },
        { field: 'batchNo', title: '批次号', type: 'string', width: 110, align: 'left' },
        { field: 'inboundDate', title: '单据日期', type: 'datetime', width: 150, align: 'left', sort: true },
        { field: 'inboundState', title: '单据状态', type: 'int', width: 110, align: 'left', bind: { key: "InboundState", data: [] } },
        { field: 'inboundUpperNo', title: '上游单据编号', type: 'string', width: 110, align: 'left' },
        { field: 'inboundType', title: '上游单据类型', type: 'int', width: 110, align: 'left', bind: { key: "InOrderType", data: [] } },
        { field: 'remark', title: '备注', type: 'string', width: 120, hidden: true, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'spare1', title: 'Spare1', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare2', title: 'Spare2', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare3', title: 'Spare3', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare4', title: 'Spare4', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare5', title: 'Spare5', type: 'string', sort: true, width: 110, hidden: true, align: 'left' }]);

        const detail = ref({
            cnName: "单据明细信息",
            table: "Dt_InboundOrderDetail",
            columns: [
                { field: 'orderDetailId', title: '入库单明细ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
                { field: 'orderId', title: '入库单ID', type: 'int', width: 110, hidden: true, align: 'left', sort: true, edit: { type: "" } },
                { field: 'inboundNo', title: '单据编号', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'batchNo', title: '批次号', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'inboundType', title: '单据类型', type: 'int', width: 110, align: 'left', bind: { key: "InOrderType", data: [] }, edit: { type: "select" } },
                { field: 'inboundState', title: '单据明细状态', type: 'int', width: 110, align: 'left', bind: { key: "InboundState", data: [] }, edit: { type: "select" } },
                { field: 'materialNo', title: '物料编号', type: 'string', width: 110, align: 'left', edit: { type: "number" } },
                { field: 'materialName', title: '物料名称', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'preInboundQuantity', title: '预计入库数量', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'actualInboundQuantity', title: '实际入库数量', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'unit', title: '入库单位', type: 'string', width: 110, align: 'left', edit: { type: "" } },
                { field: 'remark', title: '备注', type: 'string', width: 120, align: 'left', edit: { type: "" } },
                { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
                { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
                { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
                { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
                { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
                { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
            ],
            sortName: "orderId",
            key: "orderDetailId"
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
